1

i run a tor relay on a raspberry pi3. all is ok so far but when i try to upgrade tor 0.4.2.7 to the latest unstable version it says something like: N: Skipping acquire of configured file 'main/binary-armhf/Packages' as repository 'https://deb.torproject.org/torproject.org buster InRelease' doesn't support architecture 'armhf'.

what am i doing wrong?

1

Tor no longer provides 32-bit armhf versions of tor. You will either need to upgrade your OS to a 64-bit version, build tor from source, or check if Debian provides a compatible 32-bit armhf build. See: https://lists.torproject.org/pipermail/tor-talk/2020-May/045583.html

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.